echo on; clear all
L=0.02; R=0.5; K=1.6; Kf=0.8;
M=0.08; B= 0.25; 
num1 = Kf/(L*M);                                 % third-order system num          
den1 = [1 (B/M)+(R/L) (K/M)+(B/M)*(R/L) (K/M)*(R/L)]; % third-order system den
num2=num1/(R/L);                     	  % reduced-order system num          
den2 = [1  B/M  K/M];            	  % reduced-order system den
sys3rd = tf(num1, den1)       	             % third-order system
sys2nd = tf(num2, den2)       	             % reduced-order system
disp('Problem 15.9')
bode(sys3rd, 'b', sys2nd, 'r')
